Сайт | Скачать | Видео | Wiki

Автор Тема: PRA-roll 2008. Проблемы после обновления glibc  (Прочитано 4677 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10737
  • Репутация: +113/-2
  • Автор темы
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #15 : 11 Февраль 2021, 09:31:48 »
Сейчас в арчрепе glibc еще свежее. Попробуй обновить...
с glibc все нормально, обновлять надо systemd (или перекомпилировать с патчем для нового glibc), поддержку новых вызовов glibc добавили в новом systemd.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 34003
  • Репутация: +231/-0
    • PuppyRus-A
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #16 : 11 Февраль 2021, 11:04:09 »
обновлять надо systemd
пробовал?

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10737
  • Репутация: +113/-2
  • Автор темы
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #17 : 11 Февраль 2021, 13:14:03 »
не получилось обновить. ошибки при загрузке. видмо если только весь 001 пересобирать
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 34003
  • Репутация: +231/-0
    • PuppyRus-A
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #18 : 12 Февраль 2021, 09:06:33 »
Может перекомпилить свежий systemd под prar2008 или наоборот откатить glibc на родной срез арчрепы
То, что ты делаешь - насколько актуально для широких слоев юзеров? т.е. мне как-то надо заморачиваться?

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10737
  • Репутация: +113/-2
  • Автор темы
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #19 : 13 Февраль 2021, 03:52:35 »
я думал ты системд из репы арча используешь. я незнаю что лучше сделать (но мне pra придется убирать, если системд старый останется), несовместимость может вылезти не только между  nspawn и glibc но и в других прогах systemd, а отловить такое сложно. Мне поначалу никто не верил.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн betcher

  • Ветеран
  • *****
  • Сообщений: 3019
  • Репутация: +35/-0
    • MagOS linux
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #20 : 13 Февраль 2021, 06:59:20 »
С обычным chroot этой проблемы нет, пока им спасаюсь. С модулем, с обновленным в 2016.1 системд, в Магос проблема не ушла. Так что может и не в этом косяк. Pro, вы только с pra такое ловили? С росой не пробовали?

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 5341
  • Репутация: +139/-1
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #21 : 13 Февраль 2021, 12:42:32 »
используя  systemd-nspawn,  в этом чруте распаковывается исходник и при наложении патча, пишет что файл доступен только для чтения, хотя права в норме (от рут тоже пробовал)
Нужен какой-нибудь простейший пример этого бага. Типа сохранить запись в блокноте и наглядно увидеть запись Read-only file system.
Если это можно будет легко повторить, то и быстрей найдется 'противоядие' и внесутся нужные правки в prar. Имхо.
То, что ты делаешь - насколько актуально для широких слоев юзеров? т.е. мне как-то надо заморачиваться?
« Последнее редактирование: 13 Февраль 2021, 12:45:07 от krasnyh »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 5341
  • Репутация: +139/-1
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #22 : 13 Февраль 2021, 13:38:27 »
не получилось обновить. ошибки при загрузке. видмо если только весь 001 пересобирать
Можно ведь зайти с другого бока. Текущий glibc - 2.32, скачать предыдущую версию pacman-arm glibc, установить с pacman2pfs -U, переместить в /base и перезагрузиться.


Надо будет еще выполнить locale-gen, если я не ошибаюсь.


p.s. Новейший glibc уже 2.33-3.
« Последнее редактирование: 13 Февраль 2021, 13:51:30 от krasnyh »

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10737
  • Репутация: +113/-2
  • Автор темы
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #23 : 13 Февраль 2021, 16:29:49 »
здесь проблема не в том что системный glibc обновили, а в том что nspawn старый заходит в chroot с НОВЫМ glibc. и в этом проблема.
 т.е. в системе это может и никак не проявится (я же говорю выявление сложное и неочевидное). И даунгрейдить получается надо glibc в чруте...
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 5341
  • Репутация: +139/-1
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #24 : 13 Февраль 2021, 17:17:21 »
Я в вирте изменил срез на сегодня, установил glibc (2.33-3), затем systemd (247.3-1). Нормально загрузилось, а как с работоспособностью, это надо проверять.

Скрин.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 34003
  • Репутация: +231/-0
    • PuppyRus-A
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #25 : 14 Февраль 2021, 09:54:52 »
То, что ты делаешь - насколько актуально для широких слоев юзеров? т.е. мне как-то надо заморачиваться?
Так и не ответил. Мне это важно понять. Есть смысл обновлять glibc или это зло
я думал ты системд из репы арча используешь
Из родного 2008 среза арчрепы и не обновлял
даунгрейдить получается надо glibc в чруте...
Чем такое решение не устраивает?

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10737
  • Репутация: +113/-2
  • Автор темы
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #26 : 14 Февраль 2021, 16:12:05 »
здесь проблема не в том что системный glibc обновили, а в том что nspawn старый заходит в chroot с НОВЫМ glibc. и в этом проблема.
 т.е. в системе это может и никак не проявится (я же говорю выявление сложное и неочевидное). И даунгрейдить получается надо glibc в чруте...
т.е. другими словами - в pra надо не glibc обновлять, а systemd
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 5341
  • Репутация: +139/-1
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #27 : 14 Февраль 2021, 16:30:48 »
не glibc обновлять, а systemd
Я пока не обновил glibc, не мог обновить systemd. Упиралось в ошибки libxcrypt.
Ссыль.

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10737
  • Репутация: +113/-2
  • Автор темы
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #28 : 14 Февраль 2021, 16:51:19 »
ну это понятно что оно как-то завязано друг на друга, всетаки самые основные пакеты в системе
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 34003
  • Репутация: +231/-0
    • PuppyRus-A
Re: PRA-roll 2008. Проблемы после обновления glibc
« Ответ #29 : 14 Февраль 2021, 16:51:21 »
В итоге - если оба обновить до этих
Ссыль.
версий - проблема уходит?
Побочек не обнаружено?